mir_platform_graphics_test_harness(1)

NAME
mir_platform_graphics_test_harness - Run basic tests against a Mir platform implementation

SYNOPSIS
mir_platform_graphics_test_harness [<PLATFORM_DSO>]

DESCRIPTION
This program can be used to load a Mir platform module and run a basic smoke test - check that it probes correctly, that it can swap display buffers, and that it can provide a GL context.

This is primarily useful to people developing a new Mir platform.

AUTHOR
The Mir Display Server has been written by the Mir Server Team at Canonical Ltd.

This man page has been written for the Debian project by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> and may be re-used by others.